package com.zjrs.zwnw.zj.dto;

import io.swagger.annotations.ApiModelProperty;
import com.zjrs.zwnw.annotation.NumVaild;

import jakarta.validation.constraints.NotBlank;

public class QstcDTO implements java.io.Serializable {
    private static final long serialVersionUID = 1L;

    private String ljzl;
    private String ndxz;
    private String ndlc;

    @NumVaild(message="国家级突出贡献专家累计总量格式不正确")
    @NotBlank(message="国家级突出贡献专家累计总量不可为空")
    private String gjzjlj;

    @NumVaild(message="省级突出贡献专家累计总量格式不正确")
    @NotBlank(message="省级突出贡献专家累计总量不可为空")
    private String shengjzjlj;

    @NumVaild(message="市级突出贡献专家累计总量格式不正确")
    @NotBlank(message="市级突出贡献专家累计总量不可为空")
    private String shijzjlj;

    @NumVaild(message="享受国务院特殊津贴累计总量格式不正确")
    @NotBlank(message="享受国务院特殊津贴累计总量不可为空")
    private String xsgwytsjtlj;

    private String rsZjQstcLsh;

    @NumVaild(message="年度格式不正确")
    @NotBlank(message="年度不可为空")
    @ApiModelProperty(value = "年度")
    private String nd;

    @ApiModelProperty(value = "国家级突出贡献专家新增")
    @NumVaild(message="国家级突出贡献专家新增格式不正确")
    @NotBlank(message="国家级突出贡献专家新增不可为空")
    private String gjzjxz;

    @ApiModelProperty(value = "省级突出贡献专家新增")
    @NumVaild(message="省级突出贡献专家新增格式不正确")
    @NotBlank(message="省级突出贡献专家新增不可为空")
    private String shengjzjxz;

    @ApiModelProperty(value = "市级突出贡献专家新增")
    @NumVaild(message="市级突出贡献专家新增格式不正确")
    @NotBlank(message="市级突出贡献专家新增不可为空")
    private String shijzjxz;

    @ApiModelProperty(value = "享受国务院特殊津贴新增")
    @NumVaild(message="享受国务院特殊津贴新增格式不正确")
    @NotBlank(message="享受国务院特殊津贴新增不可为空")
    private String xsgwytsjtxz;

    @ApiModelProperty(value = "国家级突出贡献专家流出")
    @NumVaild(message="国家级突出贡献专家流出格式不正确")
    @NotBlank(message="国家级突出贡献专家流出不可为空")
    private String gjzjlc;

    @ApiModelProperty(value = "省级突出贡献专家流出")
    @NumVaild(message="省级突出贡献专家流出格式不正确")
    @NotBlank(message="省级突出贡献专家流出不可为空")
    private String shengjzjlc;

    @ApiModelProperty(value = "市级突出贡献专家流出")
    @NumVaild(message="市级突出贡献专家流出格式不正确")
    @NotBlank(message="市级突出贡献专家流出不可为空")
    private String shijzjlc;

    @ApiModelProperty(value = "享受国务院特殊津贴流出")
    @NumVaild(message="享受国务院特殊津贴流出格式不正确")
    @NotBlank(message="享受国务院特殊津贴流出不可为空")
    private String xsgwytsjtlc;

    public String getNd() {
        return nd;
    }

    public void setNd(String nd) {
        this.nd = nd;
    }

    public String getGjzjxz() {
        return gjzjxz;
    }

    public void setGjzjxz(String gjzjxz) {
        this.gjzjxz = gjzjxz;
    }

    public String getShengjzjxz() {
        return shengjzjxz;
    }

    public void setShengjzjxz(String shengjzjxz) {
        this.shengjzjxz = shengjzjxz;
    }

    public String getShijzjxz() {
        return shijzjxz;
    }

    public void setShijzjxz(String shijzjxz) {
        this.shijzjxz = shijzjxz;
    }

    public String getXsgwytsjtxz() {
        return xsgwytsjtxz;
    }

    public void setXsgwytsjtxz(String xsgwytsjtxz) {
        this.xsgwytsjtxz = xsgwytsjtxz;
    }

    public String getGjzjlc() {
        return gjzjlc;
    }

    public void setGjzjlc(String gjzjlc) {
        this.gjzjlc = gjzjlc;
    }

    public String getShengjzjlc() {
        return shengjzjlc;
    }

    public void setShengjzjlc(String shengjzjlc) {
        this.shengjzjlc = shengjzjlc;
    }

    public String getShijzjlc() {
        return shijzjlc;
    }

    public void setShijzjlc(String shijzjlc) {
        this.shijzjlc = shijzjlc;
    }

    public String getXsgwytsjtlc() {
        return xsgwytsjtlc;
    }

    public void setXsgwytsjtlc(String xsgwytsjtlc) {
        this.xsgwytsjtlc = xsgwytsjtlc;
    }

    public String getGjzjlj() {
        return gjzjlj;
    }

    public void setGjzjlj(String gjzjlj) {
        this.gjzjlj = gjzjlj;
    }

    public String getShengjzjlj() {
        return shengjzjlj;
    }

    public void setShengjzjlj(String shengjzjlj) {
        this.shengjzjlj = shengjzjlj;
    }

    public String getShijzjlj() {
        return shijzjlj;
    }

    public void setShijzjlj(String shijzjlj) {
        this.shijzjlj = shijzjlj;
    }

    public String getXsgwytsjtlj() {
        return xsgwytsjtlj;
    }

    public void setXsgwytsjtlj(String xsgwytsjtlj) {
        this.xsgwytsjtlj = xsgwytsjtlj;
    }

    public String getRsZjQstcLsh() {
        return rsZjQstcLsh;
    }

    public void setRsZjQstcLsh(String rsZjQstcLsh) {
        this.rsZjQstcLsh = rsZjQstcLsh;
    }

    public String getLjzl() {
        return ljzl;
    }

    public void setLjzl(String ljzl) {
        this.ljzl = ljzl;
    }

    public String getNdxz() {
        return ndxz;
    }

    public void setNdxz(String ndxz) {
        this.ndxz = ndxz;
    }

    public String getNdlc() {
        return ndlc;
    }

    public void setNdlc(String ndlc) {
        this.ndlc = ndlc;
    }
}
